Subject: bug#62700: 29.0.60; minibuffer-{previous,next,choose}-completion behave unintuitively when point is not at end of buffer

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Apr 2023 16:15:02 +0300

> From: [email-masked]
> Date: Sat, 22 Apr 2023 12:57:57 +0000 (UTC)
> Cc: [email-masked], [email-masked], [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > And here we seem to be modifying code that is not only for when
> > minibuffer-completion-auto-choose is non-nil, or what am I missing?
> 
> The bug happens regardless of the value of
> minibuffer-completion-auto-choose.  It doesn't relate to
> minibuffer-completion-auto-choose.

I asked for the changes to affect only code specific to M-<UP> and
M-<DOWN>, but the patch you posted doesn't limit itself to that,
AFAICT.  Or what am I missing?